Returns detailed information for a specified House communication.

GET /house-communication/:congress/:communicationType/:communicationNumber

Example Request

/v3/house-communication/117/ec/3324
::

{
    "house-communication": {
        "abstract": "A letter from the Chairman, Council of the District of Columbia, transmitting DC Act 24-299, \"Closing of a Portion of a Public Alley in Square 5138, S.O. 20-07517, Act of 2021\", pursuant to Public Law 93\u2013198, section 602(c)(1); (87 Stat. 814); to the Committee on Oversight and Reform.",
        "chamber": "House",
        "committees": [
            {
                "name": "Oversight and Reform Committee",
                "referredToCommitteeDate": "2022-02-01"
            }
        ],
        "communicationNumber": 3324,
        "communicationType": {
            "code": "EC",
            "name": "Executive Communication"
        },
        "congressNumber": 117,
        "congressionalRecordDate": "2022-02-01"
    },
    "request": {
        "communicationNum": "3324",
        "congress": "117",
        "contentType": "application/json",
        "execCommunicationType": "ec",
        "format": "json"
    }
}

 
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

The congress number. For example, the value can be 117.

string
required

The type of communication. Value can be ec, ml, pm, or pt.

integer
required

The communication's assigned number. For example, the value can be 3324.

Query Params
string

The data format. Value can be xml or json.

Responses
200

successful operation

400

Invalid status value

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here!